<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.attence.ruleout.mapper.RuleOutMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="ruleOutResultMap" type="org.springblade.attence.ruleout.entity.RuleOut">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="owner_id" property="ownerId"/>
        <result column="owner_type" property="ownerType"/>
        <result column="reporter_time" property="reporterTime"/>
        <result column="need_phone" property="needPhone"/>
        <result column="use_face_detect" property="useFaceDetect"/>
        <result column="note_can_use_local_pic" property="noteCanUseLocalPic"/>
    </resultMap>


    <select id="selectRuleOutPage" resultMap="ruleOutResultMap">
        select * from attence_rule_out where is_deleted = 0
    </select>

</mapper>
